libmspub::ContentChunkReference Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libmspub::ContentChunkReference Struct Reference

`#include <MSPUBTypes.h>`

## Public Member Functions
| ContentChunkReference ()
| ContentChunkReference (MSPUBContentChunkType t, unsigned long o, unsigned long e, unsigned sn, unsigned psn)

## Public Attributes
MSPUBContentChunkType | type
unsigned long | offset
unsigned long | end
unsigned | seqNum
unsigned | parentSeqNum

## Constructor & Destructor Documentation

## ◆ ContentChunkReference() [1/2]

libmspub::ContentChunkReference::ContentChunkReference | ( |  | ) |
| inline

## ◆ ContentChunkReference() [2/2]

libmspub::ContentChunkReference::ContentChunkReference | ( | MSPUBContentChunkType | t,
|  | unsigned long | o,
|  | unsigned long | e,
|  | unsigned | sn,
|  | unsigned | psn
| ) |  |
| inline

## Member Data Documentation

## ◆ end

unsigned long libmspub::ContentChunkReference::end

Referenced by libmspub::MSPUBParser::parseDocumentChunk(), and libmspub::MSPUBParser::parsePageChunk().

## ◆ offset

unsigned long libmspub::ContentChunkReference::offset

Referenced by libmspub::MSPUBParser2k::parse2kShapeChunk(), libmspub::MSPUBParser::parseBorderArtChunk(), libmspub::MSPUBParser2k::parseContents(), libmspub::MSPUBParser::parseContents(), libmspub::MSPUBParser::parseFontChunk(), libmspub::MSPUBParser::parsePageChunk(), libmspub::MSPUBParser::parsePaletteChunk(), and libmspub::MSPUBParser::parseShape().

## ◆ parentSeqNum

unsigned libmspub::ContentChunkReference::parentSeqNum

Referenced by libmspub::FindByParentSeqNum::operator()(), libmspub::MSPUBParser2k::parse2kShapeChunk(), and libmspub::MSPUBParser::parsePageChunk().

## ◆ seqNum

unsigned libmspub::ContentChunkReference::seqNum

Referenced by libmspub::FindBySeqNum::operator()(), libmspub::MSPUBParser2k::parse2kShapeChunk(), libmspub::MSPUBParser::parsePageChunk(), and libmspub::MSPUBParser::parseShape().

## ◆ type

MSPUBContentChunkType libmspub::ContentChunkReference::type

Referenced by libmspub::MSPUBParser2k::parseGroup(), and libmspub::MSPUBParser::parseShape().

The documentation for this struct was generated from the following file:

- MSPUBTypes.h